module.exports = {
  create: {
    requestBody: [
      "!account",
      "!name",
      "!mobile",
      "b_point",
      "i_point",
      "e_point",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!account",
      "!name",
      "!mobile",
      "b_point",
      "i_point",
      "e_point",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        account: "account",
        name: "%name%",
        mobile: "mobile",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
