module.exports = {
  create: {
    requestBody: ["title", "contact", "has_group", "remark"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["title", "contact", "has_group", "remark"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        title: "%title%",
        contact: "contact",
        has_group: "has_group",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
