'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
// 套餐表
const set = {
  title: { type: String }, // 套餐标题
  contact: { type: String }, // 关联的市/直辖市 的code
  has_group: { type: Boolean, default: false }, // 是否有推广制度
  remark: { type: String, maxLength: 200 },
  create_time: { type: String, default: moment().format('YYYY-MM-DD HH:mm:ss') },
};
const schema = new Schema(set, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Set', schema, 'set');
};
