'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const prefix = '/api/htyd';
  router.get('/', controller.home.index);
  // 二维码
  router.get(`${prefix}/qrcode`, controller.qrcode.index);
  // 登陆
  router.post(`${prefix}/login`, controller.login.login);
  // 工具函数
  router.post(`${prefix}/util`, controller.util.utilMethod);
  require('./router/card')(app); // 办卡
  require('./router/cash')(app); // 提现
  require('./router/record')(app); // 记录
  require('./router/count')(app); // 统计
  require('./router/carousel')(app); // 轮播
  require('./router/xzqh')(app); // 行政区划
  require('./router/set')(app); // 套餐
  require('./router/config')(app); // 配置
};
